Tähtitiede

Ongelmia drizzlepacin asentamisessa

Ongelmia drizzlepacin asentamisessa

Yritän asentaa drizzlepacin seuraamaan tätä hst-kuvien tasaamisen opetusohjelmaa: https://spacetelescope.github.io/notebooks/notebooks/DrizzlePac/align_to_catalogs/align_to_catalogs.html

Saan kuitenkin seuraavat virheet:

VIRHE: Komento virheellinen poistumistilalla 1: komento: 'e:  ProgramData  Anaconda3  python.exe "e:  ProgramData  Anaconda3  lib  site-package  pip  _vendor  pep517  _in_process.py' get_requires_for_build_wheel 'C :  Users  FAILTZ ~ 1.DES  AppData  Local  Temp  tmpl00kr2fm 'cwd: C:  Users  FAILTZ ~ 1.DES  AppData  Local  Temp  pip-install-1l1f4o5x  drizzlepac Complete output (26 riviä) : Traceback (viimeisin puhelu viimeisin): Tiedosto "e:  ProgramData  Anaconda3  lib  site-package  pip  _vendor  pep517  _in_process.py", rivi 280,  main () Tiedosto "e:  ProgramData  Anaconda3  lib  site-package  pip  _vendor  pep517  _in_process.py", rivi 263, pääsivulla json_out ['return_val'] = koukku (** hook_input ['kwargs') ]) Tiedosto "e:  ProgramData  Anaconda3  lib  site-package  pip  _vendor  pep517  _in_process.py", rivi 114, get_requires_for_build_wheel-paluukoukussa (config_settings) Tiedosto "C:  Users  FAILTZ ~ 1.DES  AppData  Local  Temp  pip-build-env-ey64g5zm  overlay  Lib  site-package  setuptools  build_meta.py ", rivi 147, get_requires_for_build_wheel config_settings, vaatimukset = ['wheel']) Tiedosto" C:  Käyttäjät  FAILTZ ~ 1.DES  AppData  Local  Temp  pip-build-env-ey64g5zm  overlay  Lib  site-package  setuptools  build_meta.py ", rivi 127, _get_build_requires self.run_setup () -tiedostossa" C :  Users  FAILTZ ~ 1.DES  AppData  Local  Temp  pip-build-env-ey64g5zm  overlay  Lib  site-paketit  setuptools  build_meta.py ", rivi 249, run_setup self) .run_setup (setup_script = setup_script) Tiedosto "C:  Users  FAILTZ ~ 1.DES  AppData  Local  Temp  pip-build-env-ey64g5zm  overlay  Lib  site-package  setuptools  build _meta.py ", rivi 142, run_setup execissä (kääntää (koodi, __tiedosto__, 'exec'), paikalliset ()) Tiedosto" setup.py ", rivi 23,  check_call (['git', 'klooni', 'https://github.com/spacetelescope/relic.git']) Tiedosto "e:  ProgramData  Anaconda3  lib  subprocess.py", rivi 358, check_call-uudelleenkoodissa = kutsu (* popenargs, ** kwargs) Tiedosto "e:  ProgramData  Anaconda3  lib  subprocess.py", rivi 339, puhelussa Popenin kanssa (* popenargs, ** kwargs) muodossa p: Tiedosto "e:  ProgramData  Anaconda3  lib  subprocess.py ", rivi 800, __init__ restore_signals, start_new_session) Tiedosto" e:  ProgramData  Anaconda3  lib  subprocess.py ", rivi 1207, _execute_child startupinfo) FileNotFoundError: [WinError 2] Järjestelmä ei löydä määritettyä tiedostoa ---------------------------------------- VIRHE: Komento virheellinen poistumistilalla 1: 'e:  ProgramData  Anaconda3  python.exe "e:  ProgramData  Anaconda3  lib  site-package  pip  _vendor  pep517  _in_process.py' get_requires_for_build_wheel 'C:  Users  FAILTZ ~ 1 .DES  AppData  Local  Temp  tmpl00kr2fm 'Tarkista lokien täydellinen komentolähtö.

Tämä käytti pipia anakondakehotteessa. Jos yritän käyttää condaa, se ei löydä pakettia.

Olen erittäin uusi pythonissa, joten olen varma, että teen jotain suhteellisen yksinkertaista väärin! Mutta olen törmännyt pääni tätä vastaan ​​jonkin aikaa.


Kuten ymmärrän, sinun ei pitäisi käyttääpipAnacondan kanssa tai saat sotkua. Valitettavasti tämä ei ole pääasia tässä.

Linkitetyn työkirjan yläreunassa on banneri, jossa mainitaan alustussivukirja, joka on tällä sivulla. Kyseisellä sivulla todetaan, että "käyttäjien, jotka eivät tunne Anacondaa / Astrocondaa, pitäisi nähdä dokumentaatio."

Astroconda ei ole minulle tuttu, joten menin ohjesivulle, jossa luetellaan seuraavat vaatimukset:

Laitteistovaatimukset

  • 64-bittinen Intel / AMD-prosessori (x86_64)
  • 64-bittinen Linux (glibc ≥ 2.12) tai Mac OS X (≥ 10.7)
  • BASH tai ZSH oletuksena kuoriympäristöksi (T / CSH: ta EI tueta)

Komentoriviltä näen, että käytät tätä Windowsissa. Sitä ei ole lueteltu tuettuna käyttöjärjestelmänä: ohjelmisto on vain Linux / Mac.